PDA

View Full Version : Driver ATI 8.42.3: AIGLX is here!


slacker
23-10-2007, 19:28
http://www.phoronix.com/scan.php?page=article&item=887&num=1

In addition to the AIGLX support, the fglrx 8.42.3 driver includes X.Org server 1.4 support, video playback improvements, more performance improvements, and Rialto AGP fixes. While this driver quite promptly supports X.Org 7.3 / X server 1.4, it does not contain Linux 2.6.23 kernel support. The Linux 2.6.23 support isn't found in fglrx 8.42.3 due to issues with x86_64 support. However, we do expect that fglrx 8.43 will contain the Linux 2.6.23 kernel support.


Downloading now :sofico:

Pappe
23-10-2007, 19:32
:ave:


ho finalmente trovato il motivo per cestinare windows....grande news!!!!

subvertigo
23-10-2007, 21:04
Io spero solo che funzionino la sospensione e l'ibernazione con il kernel 2.6.22 (su cui basata l'ultima ubuntu gutsy) che ora non vanno entrambi :rolleyes:

darkbasic
23-10-2007, 21:27
Io voglio le specifiche relative al 3d che avevano promesso :rolleyes:

zephyr83
23-10-2007, 21:57
Io voglio le specifiche relative al 3d che avevano promesso :rolleyes:
vedrai che quando uscir la nuova generazione di schede video rilasceranno le specifiche di quella attuale che per penosa e nn conviene ugualmente comprare :sofico: Mi sa che per quelli precedenti alla serie HD ci sia poco da fare!!! :stordita:

Willy McBride
23-10-2007, 22:50
Io voglio le specifiche relative al 3d che avevano promesso :rolleyes:

Sono passate 5 settimane dalle specifiche 2d e si sapeva che ci sarebbe voluto un po' di tempo per le 3d che, sempre ammesso che esistano gi, visto che succede spesso che per tagliare sui tempi e i costi le specifiche non vengano mai formalizzate, prima della pubblicazione devono essere ripulite da tutto quello di cui ATI/AMD non ha i diritti e approvate dall'ufficio legale.

giova22
23-10-2007, 23:37
ma posso usarli anche io che ho la x1950pro? O solo per le radeon 2600/2900?

Cobra78
24-10-2007, 07:16
Se hanno rispettato tutte le promesse dovrebbero essere tornati all'architettura unificata :)

ajez
24-10-2007, 10:02
ma posso usarli anche io che ho la x1950pro? O solo per le radeon 2600/2900?

"This release is tested for all ATI Radeon GPU products from the R300 to R600 series. This does not include support for the FireGL series, but the workstation compatibility will be introduced next month in fglrx 8.43."

vai vai usali pure!!

giova22
24-10-2007, 10:06
"This release is tested for all ATI Radeon GPU products from the R300 to R600 series. This does not include support for the FireGL series, but the workstation compatibility will be introduced next month in fglrx 8.43."

vai vai usali pure!!

ok. Chiedo l'ultima cosa. Uso ubuntu 7.10, devo scaricarli dal sito aati e installarli oppure verranno inseriti nei repository?

Raist78
24-10-2007, 10:22
Ho provato ad installarli ieri sera sulla mia x1950pro AGP su Ubuntu Gutsy ... signori, AIGLX funziona. L'unica pecca che ho notato un po' di rallentamenti con le animazioni di compiz fusion (cosa che con XGL non avveniva) ma penso sia solo una questione di ottimizzazione.

giova22
24-10-2007, 10:34
Ho provato ad installarli ieri sera sulla mia x1950pro AGP su Ubuntu Gutsy ... signori, AIGLX funziona. L'unica pecca che ho notato un po' di rallentamenti con le animazioni di compiz fusion (cosa che con XGL non avveniva) ma penso sia solo una questione di ottimizzazione.

puoi spiegarmi come hai fatto ad installarli? Anche io ora ho xgl + driver vecchi. Devo prima disinstallare i driver vecchi e xgl?

Willy McBride
24-10-2007, 11:19
Bah, io ho una r300 e resto coi driver open source. Compiz funziona gi benissimo.

Raist78
24-10-2007, 12:00
puoi spiegarmi come hai fatto ad installarli? Anche io ora ho xgl + driver vecchi. Devo prima disinstallare i driver vecchi e xgl?
Ho seguito questa guida e tutto andato liscio: http://ubuntuforums.org/showthread.php?t=575843&highlight=x1950
Prima comunque devi rimuovere xgl sicuramente.
Bah, io ho una r300 e resto coi driver open source. Compiz funziona gi benissimo.
B per le schede un po' pi vecchie (vedi la mia vecchia 9600) tutto andava bene con i driver open, ma se provi ad usarli con una scheda nuova non hai il supporto necessario. Ancora il driver di parecchio migliorabile, ma un piccolo passo avanti.

Gandalf_BD
24-10-2007, 12:38
Fatemi capire una cosa...
sono i driver proprietari? perch sul sito ATI/AMD ho provato a scaricarli, ma ci sono solo fino alla 8.40...

Io ho installato i driver proprietari 8.38 e riesco ad usarli discretamente, mi conviene togliere tutto e tentare questi nuovi?
ah, dimenticavo... ho una Radeon Mobility 9700 :)

grazie

Custode
25-10-2007, 10:23
Salve,

da niubbo quale sono, cercando di installare i nuovi driver al riavvio il Desktop si presentato con una grafica completamente corrotta ed illeggibile: qualcuno sa dirmi se esiste un comando od una procedura per ripristinare gnome con le impostazioni grafiche di default?

Edit: dimenticavo, utilizzo Ubuntu 7.10

kaio1000
25-10-2007, 14:30
Ho seguito questa guida e tutto andato liscio: http://ubuntuforums.org/showthread.php?t=575843&highlight=x1950
Prima comunque devi rimuovere xgl sicuramente.

B per le schede un po' pi vecchie (vedi la mia vecchia 9600) tutto andava bene con i driver open, ma se provi ad usarli con una scheda nuova non hai il supporto necessario. Ancora il driver di parecchio migliorabile, ma un piccolo passo avanti.



perdonami, ma come hai fatto ad attivare il supporto aiglx? io ho installato i driver correttamente, mi rileva un ati anzich una mesa, ho l'accellerazione attiva ma non ho il composite.. ho provato ad abilitarlo da xorg.conf ma non ha dato l'effetto sperato, provo ad attivare gli effetti grafici, mi dice che non possibile.. una manina?

Raist78
25-10-2007, 18:29
Devi prima mettere in "whitelist" il driver fglrx nel file /usr/bin/compiz e circa alla linea 50 trovi la linea da modificare aggiungendo in questo modo:
# Driver whitelist
WHITELIST=nvidia intel ati radeon i810 fglrx
Ora compiz-fusion dovrebbe avviartisi senza il minimo problema.

kaio1000
25-10-2007, 23:13
Devi prima mettere in "whitelist" il driver fglrx nel file /usr/bin/compiz e circa alla linea 50 trovi la linea da modificare aggiungendo in questo modo:
# Driver whitelist
WHITELIST=nvidia intel ati radeon i810 fglrx
Ora compiz-fusion dovrebbe avviartisi senza il minimo problema.

ok ci provo e ti faccio sapere, grazie :)

kaio1000
25-10-2007, 23:50
niente, purtroppo si avvia ma non vedo nulla, solo una schermata bianca :rolleyes:

kaio1000
26-10-2007, 22:45
niente, purtroppo si avvia ma non vedo nulla, solo una schermata bianca :rolleyes:

si pu risolvere? :(

char6676
27-10-2007, 13:10
penso di andare ot...chiedo venia....ma nn riesco ad installarli...appena scompatto il file .run...ottengo questo messaggio....
Generating package: Ubuntu/gusty

Requested package is not supported.
Removing temporary directory: fglrx-install.NX6570


e nn mi genera i pacchetti...che devo fare? la scheda una ati radeon 9600...tnx

edit: al 5 tentavi ho risolto....dopo averli installati correttamente...compiz cmq nn funzia...mi richiede la presenza di aiglx...boh...

kaio1000
27-10-2007, 15:46
penso di andare ot...chiedo venia....ma nn riesco ad installarli...appena scompatto il file .run...ottengo questo messaggio....
Generating package: Ubuntu/gusty

Requested package is not supported.
Removing temporary directory: fglrx-install.NX6570


e nn mi genera i pacchetti...che devo fare? la scheda una ati radeon 9600...tnx

edit: al 5 tentavi ho risolto....dopo averli installati correttamente...compiz cmq nn funzia...mi richiede la presenza di aiglx...boh...


se non erro la 9600 supportata gia' dai driver open.. cmq per questi nuovi driver ati puoi seguire questa guida:

http://wiki.cchtml.com/index.php/Ubuntu_Gutsy_Installation_Guide


per l'aiglx lo devi abilitare tra le righe di compiz.
;)

subvertigo
27-10-2007, 16:55
Allora confermo che questo driver non serve a nulla per risolvere i problemi di Suspend/Hibernation che non funzionano sotto sistemi con kernel 2.6.22/2.6.23 (con SLAB). La cosa promettente che ATI dice che rilascer cmq "presto" ( da vedere con ATI, "presto" che vuol dire), un nuovo driver compatibile con 2.6.23 che quindi dovrebbe finalmente risolvere i problemi di sospensione (che si trovano in primis su Ubuntu Gutsy).

Inoltre per quanto riguarda Compiz, si funziona, ma va tutto molto lento. Praticamente son costretto a toglierlo (non che mi interessasse pi di tanto poi).

Io tra l'altro sono in un caso estremamente sfigato, perch con la X1400 sul mio Dell i driver open source (provati tutti:mesa, avivo, radeonhd) proprio non parte nulla. Addirittura per farvi un esempio non mi funziona il CD live (e per installazione) n di Feisty n di Gutsy (devo usare l'Alternate e installare subito dopo fglrx se no non entro nemmeno in X).

darkbasic
27-10-2007, 22:55
http://divilinux.wordpress.com/2007/10/24/guida-facile-allinstallazione-driver-ati-fglrx-con-supporto-aiglx/
Magari torna utile a qualcuno... :)

Manzanarre
28-10-2007, 12:49
Ho una domandona...chiedo venia per la mia ignoranza anzitutto , poi :
Dopo aver upgradato da 7.04 a 7.10gibbone andando a riavviare ho la schermata nera permanente....
Ora , c' un modo per installare questi nuovi driver ( io ho una ATi radeon 9500 Sapphire ) dalla consolle?
O esite qualche altra procedura che mi permetta di usare questo benedetto gibbone?
Sempre dato il fatto che non riesco ad accedere al desktop causa schermata nera....
In un'altro topic mi stata consigliata la seguente procedura:

Code:

gksudo "gedit /etc/default/acpi-support"

The edit these lines:
Code:

# change this to false
SAVE_VBE_STATE=false

#change to true
DOUBLE_CONSOLE_SWITCH=true

# change to true
USE_DPMS=true


Ora ,alla luce di suddetti drivers , posso fare qualcosa di meglio?

subvertigo
28-10-2007, 20:42
Ho una domandona...chiedo venia per la mia ignoranza anzitutto , poi :
Dopo aver upgradato da 7.04 a 7.10gibbone andando a riavviare ho la schermata nera permanente....
Ora , c' un modo per installare questi nuovi driver ( io ho una ATi radeon 9500 Sapphire ) dalla consolle?
O esite qualche altra procedura che mi permetta di usare questo benedetto gibbone?
Sempre dato il fatto che non riesco ad accedere al desktop causa schermata nera....
In un'altro topic mi stata consigliata la seguente procedura:

Code:

gksudo "gedit /etc/default/acpi-support"

The edit these lines:
Code:

# change this to false
SAVE_VBE_STATE=false

#change to true
DOUBLE_CONSOLE_SWITCH=true

# change to true
USE_DPMS=true


Ora ,alla luce di suddetti drivers , posso fare qualcosa di meglio?

Beh di almeno se usavi i driver open o i driver proprietari (fglrx).
Se usavi i driver open, probabile che non funzionino pi, in tal caso ti consiglio di installare semplicemente i driver ATI dal repository: http://wiki.cchtml.com/index.php/Ubuntu_Gutsy_Installation_Guide .

Cmq ad oggi con Gutsy e scheda ATI, NON FUNZIONA la sospensione e l'ibernazione e non ci sono workarounds.

kaio1000
28-10-2007, 21:02
non si sa ancora niente riguardo l'aiglx e le schermate bianche di compiz (con le ati ed i suddetti driver ovvio) ?

Pappe
28-10-2007, 21:12
ma sono io l'unico imbecille che con questi driver nn riesce a far partire compiz perch dice che manca l'esetensione texture_from_pixmap che tralaltro glxinfo mi da come attiva sia in clien che server ?!?!?!??

Manzanarre
29-10-2007, 08:15
Dalla 7.04 non ho installato alcun tipo di driver...andava cos bene che non c'era bisogno , poi upgradando ho rimediato una bella schermata nera....
Quello che chiedevo se esiste un "safe mode" per accedere al desktop per poter installae questi benedetti driver proprietari....